local WORM_CHANCE = 25
local RHINO_BEETLE_CHANCE = 15
local BLACK_SCORPION_CHANCE = 10
local DESERT_SCORPION_CHANCE = 10
local FISH_CHANCE = 15

--INSECTS
--Get worms from dirt and dirt with grass
minetest.register_node(":default:dirt", {
	description = "Dirt",
	tiles = {"default_dirt.png"},
      is_ground_content = true,
	groups = {crumbly=3},
	sounds = default.node_sound_dirt_defaults(),
 	after_dig_node = function (pos, oldnode, oldmetadata, digger)
 		if math.random(1, 100) < WORM_CHANCE then
			local tool_in_use = digger:get_wielded_item():get_name()
			if tool_in_use == "" or tool_in_use == "default:dirt" then
				local inv = digger:get_inventory()
 				if inv:room_for_item("main", {name="bg:worm", count=1, wear=0, metadata=""}) then
 					inv:add_item("main", {name="bg:worm", count=1, wear=0, metadata=""})
 				end
 			end
 		end
 	end,
})

minetest.register_node(":default:dirt_with_grass", {
	description = "Dirt With Grass",
	tiles = {"default_grass.png", "default_dirt.png", "default_dirt.png^default_grass_side.png"},
      is_ground_content = true,
	drop = "default:dirt",
      groups = {crumbly=3,soil=1},
	sounds = default.node_sound_dirt_defaults(),
 	after_dig_node = function (pos, oldnode, oldmetadata, digger)
 		if math.random(1, 100) < WORM_CHANCE then
			local tool_in_use = digger:get_wielded_item():get_name()
			if tool_in_use == "" or tool_in_use == "default:dirt_with_grass" then
				local inv = digger:get_inventory()
 				if inv:room_for_item("main", {name="bg:worm", count=1, wear=0, metadata=""}) then
 					inv:add_item("main", {name="bg:worm", count=1, wear=0, metadata=""})
 				end
 			end
 		end
 	end,
})

minetest.register_craftitem("bg:worm", {
	description = "Worm",
	inventory_image = "worm.png",
	on_use = minetest.item_eat(6),
})

--Get rhino beetles from tree
minetest.register_node(":default:tree", {
	description = "Tree",
	tiles = {"default_tree_top.png", "default_tree_top.png", "default_tree.png"},
	groups = {tree=1,choppy=2,oddly_breakable_by_hand=1,flammable=2},
	sounds = default.node_sound_wood_defaults(),
 	after_dig_node = function (pos, oldnode, oldmetadata, digger)
 		if math.random(1, 100) < RHINO_BEETLE_CHANCE then
			local tool_in_use = digger:get_wielded_item():get_name()
			if tool_in_use == "" or tool_in_use == "default:tree" then
				local inv = digger:get_inventory()
 				if inv:room_for_item("main", {name="bg:rhinobeetle", count=1, wear=0, metadata=""}) then
 					inv:add_item("main", {name="bg:rhinobeetle", count=1, wear=0, metadata=""})
 				end
 			end
 		end
 	end,
})

minetest.register_craftitem("bg:rhinobeetle", {
	description = "Rhino Beetle",
	inventory_image = "rhino_beetle.png",
	on_use = minetest.item_eat(4),
})

--Get black scorpions from tree
minetest.register_node(":default:tree", {
	description = "Tree",
	tiles = {"default_tree_top.png", "default_tree_top.png", "default_tree.png"},
	groups = {tree=1,choppy=2,oddly_breakable_by_hand=1,flammable=2},
	sounds = default.node_sound_wood_defaults(),
 	after_dig_node = function (pos, oldnode, oldmetadata, digger)
 		if math.random(1, 100) < BLACK_SCORPION_CHANCE then
			local tool_in_use = digger:get_wielded_item():get_name()
			if tool_in_use == "" or tool_in_use == "default:tree" then
				local inv = digger:get_inventory()
 				if inv:room_for_item("main", {name="bg:blackscorpion", count=1, wear=0, metadata=""}) then
 					inv:add_item("main", {name="bg:blackscorpion", count=1, wear=0, metadata=""})
 				end
 			end
 		end
 	end,
})

minetest.register_craftitem("bg:blackscorpion", {
	description = "Black Scorpion",
	inventory_image = "black_scorpion.png",
	on_use = minetest.item_eat(4),
})

--Get desert scorpions from desert sand
minetest.register_node(":default:desert_sand", {
	description = "Desert Sand",
	tiles = {"default_desert_sand.png"},
	groups = {crumbly=3, falling_node=1, sand=1},
	sounds = default.node_sound_sand_defaults(),
 	after_dig_node = function (pos, oldnode, oldmetadata, digger)
 		if math.random(1, 100) < DESERT_SCORPION_CHANCE then
			local tool_in_use = digger:get_wielded_item():get_name()
			if tool_in_use == "" or tool_in_use == "default:desert_sand" then
				local inv = digger:get_inventory()
 				if inv:room_for_item("main", {name="bg:desertscorpion", count=1, wear=0, metadata=""}) then
 					inv:add_item("main", {name="bg:desertscorpion", count=1, wear=0, metadata=""})
 				end
 			end
 		end
 	end,
})

minetest.register_craftitem("bg:desertscorpion", {
	description = "Desert Scorpion",
	inventory_image = "desert_scorpion.png",
	on_use = minetest.item_eat(4),
})

--FISHING
minetest.register_craftitem("bg:rod_baited", {
	description = "Baited Fishing Rod",
	groups = {},
	inventory_image = "rod_baited.png",
	stack_max = 1,
	liquids_pointable = true,
	on_use = function (itemstack, user, pointed_thing)
		if pointed_thing and pointed_thing.under then
			local node = minetest.env:get_node(pointed_thing.under)
			if string.find(node.name, "default:water") then
				if math.random(1, 100) < FISH_CHANCE then
					local inv = user:get_inventory()
					if inv:room_for_item("main", {name="bg:rawfish", count=1, wear=0, metadata=""}) then
						inv:add_item("main", {name="bg:rawfish", count=1, wear=0, metadata=""})
					end
				end
				return {name="bg:rod", count=1, wear=0, metadata=""}
			end
		end
		return nil
	end,
})

minetest.register_craftitem("bg:rod", {
    description = "Fishing Rod",
    groups = {},
    inventory_image = "rod.png",
    stack_max = 1,
})

minetest.register_craftitem("bg:rawfish", {
    description = "Raw Fish",
    groups = {},
    inventory_image = "raw_fish.png",
    on_use = minetest.item_eat(2),
})

minetest.register_craftitem("bg:cookedfish", {
    description = "Cooked Fish",
    groups = {},
    inventory_image = "cooked_fish.png",
    on_use = minetest.item_eat(6),
})

minetest.register_craft({
	type = "cooking",
	output = "bg:cookedfish",
	recipe = "bg:rawfish",
	cooktime = 2,
})

minetest.register_craft({
	output = 'bg:rod',
	recipe = {
		{'', '', 'default:stick'},
		{'', 'default:stick', 'farming:string'},
		{'default:stick', '', 'farming:string'},
	}
})

minetest.register_craft({
	output = 'bg:rod_baited',
	recipe = {
		{'bg:rod', 'bg:worm'},
	}
})

--KNIFE
minetest.register_craft({
	output = 'bg:knifeblade',
	recipe = {
		{'default:steel_ingot', 'default:steel_ingot'},
	}
})

 minetest.register_craft({
	output = 'bg:knifehandle',
	recipe = {
		{'default:steel_ingot', 'default:bronze_ingot'},
	}
})

 minetest.register_craft({
	output = 'bg:knife',
	recipe = {
		{'bg:knifeblade'},
		{'bg:knifehandle'},
	}
})

minetest.register_craftitem("bg:knifeblade", {
	description = "Knife Blade",
	inventory_image = "knifeblade.png",
})

minetest.register_craftitem("bg:knifehandle", {
	description = "Knife Handle",
	inventory_image = "knifehandle.png",
})

minetest.register_tool("bg:knife", {
	description = "Knife",
	inventory_image = "knifefull.png",
	tool_capabilities = {
		full_punch_interval = 0.7,
		max_drop_level=1,
		groupcaps={
			snappy={times={[1]=2.0, [2]=1.00, [3]=0.35}, uses=30, maxlevel=3},
		},
		damage_groups = {fleshy=7},
	}
})